Subject: Re: linux-next: manual merge of the perf tree with Linus' tree

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Tue, 26 Oct 2021 20:06:10 -0300

On October 26, 2021 7:17:05 PM GMT-03:00, Stephen Rothwell <[email-masked]> wrote:
>Hi all,
>
>Today's linux-next merge of the perf tree got a conflict in:
>
>  tools/perf/util/session.c
>
>between commit:
>
>  8e820f962345 ("perf report: Output non-zero offset for decompressed records")
>
>from Linus' tree and commit:
>
>  3a3535e67dfd ("perf session: Introduce decompressor in reader object")
>
>from the perf tree.
>
>I fixed it up (see below) and can carry the fix as necessary. This
>is now fixed as far as linux-next is concerned, but any non trivial
>conflicts should be mentioned to your upstream maintainer when your tree
>is submitted for merging.  You may also want to consider cooperating
>with the maintainer of the conflicting tree to minimise any particularly
>complex conflicts.
>

Fixed locally, will publish tomorrow after regression tests finish.

- Arnaldo